Bug 517243 - X nouveau livecd hangs on x86_64 machine
Summary: X nouveau livecd hangs on x86_64 machine
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 07:53 UTC by Han Pingtian
Modified: 2018-04-11 19:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-16 15:28:21 UTC


Attachments (Terms of Use)
the xorg log file (22.75 KB, text/plain)
2009-08-14 03:14 UTC, Han Pingtian
no flags Details
Xorg log from 'startx -- -logverbose 5' and 'nouveau.modeset=0' kernel option (7.81 KB, text/plain)
2009-08-18 02:18 UTC, Han Pingtian
no flags Details
dmesg before startx (42.72 KB, text/plain)
2009-08-18 02:22 UTC, Han Pingtian
no flags Details
/var/log/messages and /var/log/Xorg.0.log in x86_64 livecd 20090909 after startx (1.27 MB, application/x-gzip)
2009-09-10 05:54 UTC, Han Pingtian
no flags Details

Description Han Pingtian 2009-08-13 07:53:48 UTC
Description of problem:
When I try to attend fedora test day for NetworkManager, the LiveCD hangs on boot.
I can manage to enter 'init 3' by single model. But it hangs after issue 'startx'.

Version-Release number of selected component (if applicable):
desktop-x86_64-20090811.17.iso


How reproducible:
always


Steps to Reproduce:
1.Boot the LiveCD on my dell optiplex 740 machine
2.
3.
  
Actual results:
hangs when trying to start X

Expected results:
doesn't hang when trying to start X

Additional info:
[root@localhost ~]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 107
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 5200+
stepping        : 2
cpu MHz         : 1000.000
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse
2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good nopl pni cx16 lahf_lm cmp_legacy svm extapic cr8
_legacy 3dnowprefetch
bogomips        : 2004.14
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps

processor       : 1
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 107
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 5200+
stepping        : 2
cpu MHz         : 1000.000
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
apicid          : 1
initial apicid  : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good nopl pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
bogomips        : 2004.14
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps

[root@localhost ~]# lspci
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation C51 [GeForce 6150 LE] (rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.2 RAM memory: nVidia Corporation MCP51 Memory Controller 0 (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5754 Gigabit Ethernet PCI Express (rev 02)

Comment 1 Matěj Cepl 2009-08-13 17:01:02 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information especially concerning your hardware we require that will be helpful in our diagnosis of this issue.

Try to boot into runlevel 3 and then run startx. When it crashes, please collect  /var/log/Xorg.0.log, and the output of the program dmesg. Please attach them as SEPARATE uncompressed files to this bug.

We will review this issue again once you've had a chance to attach this information.

Thank you very much in advance.

Comment 2 Han Pingtian 2009-08-14 03:14:45 UTC
Created attachment 357387 [details]
the xorg log file

Comment 3 Matěj Cepl 2009-08-14 16:58:12 UTC
Could we get that output from dmesg as well, please?

Comment 4 Han Pingtian 2009-08-17 02:06:36 UTC
I need to clarify one thing. The system will hang after 'startx'. So it seems that I cannot get the outputs of 'dmesg'. 
Or, could you please give me some methods for getting the outputs?
Thanks.

Comment 5 Han Pingtian 2009-08-17 03:00:51 UTC
It looks like this is the last logs after 'startx', come from the /var/log/messages:
...
Aug 17 02:34:27 localhost kernel: nouveau 0000:00:05.0: Allocating FIFO number 1
Aug 17 02:34:27 localhost kernel: nouveau 0000:00:05.0: PFIFO_DMA_PUSHER - Ch 1
Aug 17 02:34:27 localhost kernel: nouveau 0000:00:05.0: nouveau_fifo_alloc: initialised FIFO 1
Aug 17 02:34:33 localhost kernel: fuse init (API version 7.12)
Aug 17 02:34:38 localhost setroubleshoot: SELinux is preventing the ck-get-x11-serv from using potentially mislabeled files (.Xauthority). For complete SELinux messages. run sealert -l 04a1bdc9-043c-4ab2-8c7a-da91ad79608a
Aug 17 02:34:44 localhost gnome-session[1695]: WARNING: Application 'gnome-panel.desktop' failed to register before timeout
Aug 17 02:34:54 localhost gnome-session[1695]: WARNING: Application 'gnome-nautilus.desktop' failed to register before timeout
Aug 17 02:35:00 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1136: Too big adjustment 32
Aug 17 02:35:01 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1136: Too big adjustment 32
....

Comment 6 Riku Seppala 2009-08-17 14:33:07 UTC
I also see this, amd turon 64 x2 geforce go 7600. Also kernel hangs unless I boot with nouveau.modeset=0. Bug 513863.

About dmesg... just type dmesg. Or dmesg >dmesg.txt ?

btw, I think there is more info on the /var/log/Xorg.0.log if you start:
startx -- -logverbose 5

Comment 7 Han Pingtian 2009-08-18 02:18:37 UTC
Created attachment 357728 [details]
Xorg log from 'startx -- -logverbose 5' and 'nouveau.modeset=0' kernel option

With nouveau.modeset=0 in the kernel command line, the system still hangs after startx.

Comment 8 Han Pingtian 2009-08-18 02:22:52 UTC
Created attachment 357729 [details]
dmesg before startx

I still don't know how to get the output of dmesg after 'startx'. This one is the outputs before we rung 'startx'.

Comment 9 Adam Williamson 2009-08-18 23:37:37 UTC
You can just attach /var/log/messages, it should contain the messages from the time of the hang.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Han Pingtian 2009-08-19 02:14:52 UTC
(In reply to comment #9)
> You can just attach /var/log/messages, it should contain the messages from the
> time of the hang.
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

The messages in comment #5 are those messages.

Thanks.

Comment 11 Riku Seppala 2009-08-22 16:05:07 UTC
Rawhide 20090822 seems to work for me.

Comment 12 Marcin Zajaczkowski 2009-08-23 16:31:49 UTC
Tha same with NVidia GeForce 7300 SE, AMD Athlon(tm) 64 X2 Dual Core Processor 3800+ and Fedora 11 x86_64.

Confirmed with vanilla Fedora 11 and
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.i586

nv driver works fine (but the way how to switch back to nv driver isn't clearly defined).

Comment 13 Adam Williamson 2009-08-24 23:43:21 UTC
riku and marcin, you have different adapters, hence probably not the same bug. Please file separate bugs or else we're going to get very confused. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 14 Marcin Zajaczkowski 2009-08-25 18:16:07 UTC
Filled bug 519227.

Comment 15 Han Pingtian 2009-09-10 05:54:36 UTC
Created attachment 360427 [details]
/var/log/messages and /var/log/Xorg.0.log in x86_64 livecd 20090909 after startx

The driver still doesn't work with testday-20090909-x86_64.iso livecd. Again, I drop into the 'level 3' and 'startx', then there only some colorful dots scattered on the display and the system hangs up.

Comment 16 Han Pingtian 2009-09-21 02:13:32 UTC
Sep 21 10:14:01 dhcp-65-9 kernel: ------------[ cut here ]------------
Sep 21 10:14:01 dhcp-65-9 kernel: WARNING: at drivers/gpu/drm/drm_crtc_helper.c:950 drm_helper_initial_config+0x4d/0x7f [drm_kms_helper]() (Tainted: G        W )
Sep 21 10:14:01 dhcp-65-9 kernel: Hardware name: OptiPlex 740 Enhanced
Sep 21 10:14:01 dhcp-65-9 kernel: Connected connector with 0 modes
Sep 21 10:14:01 dhcp-65-9 kernel: Modules linked in: nouveau(+) ttm drm_kms_helper drm i2c_algo_bit i2c_core
Sep 21 10:14:01 dhcp-65-9 kernel: Pid: 127, comm: work_for_cpu Tainted: G        W  2.6.31-33.fc12.x86_64 #1
Sep 21 10:14:01 dhcp-65-9 kernel: Call Trace:
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff810642ec>] warn_slowpath_common+0x95/0xc3
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff810643a7>] warn_slowpath_fmt+0x50/0x66
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffffa0047e59>] drm_helper_initial_config+0x4d/0x7f [drm_kms_helper]
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffffa005ef56>] nouveau_card_init+0xb9f/0xbc3 [nouveau]
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffffa005f373>] nouveau_load+0x3c2/0x3e3 [nouveau]
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffffa001cabc>] drm_get_dev+0x3b9/0x4d0 [drm]
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff81503f2f>] ? thread_return+0x4e/0xd3
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff8107bd8c>] ? do_work_for_cpu+0x0/0x50
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffffa009b4e6>] nouveau_pci_probe+0x28/0xb42 [nouveau]
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff81296e7f>] local_pci_probe+0x2a/0x42
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff8107bdb3>] do_work_for_cpu+0x27/0x50
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff810810f4>] kthread+0xac/0xb4
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff8101312a>] child_rip+0xa/0x20
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff81012a90>] ? restore_args+0x0/0x30
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff81081048>] ? kthread+0x0/0xb4
Sep 21 10:14:01 dhcp-65-9 kernel: [<ffffffff81013120>] ? child_rip+0x0/0x20
Sep 21 10:14:01 dhcp-65-9 kernel: ---[ end trace e826f98e2f432b5d ]---

Comment 17 Matěj Cepl 2009-11-05 17:13:56 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 18 Han Pingtian 2009-11-16 08:13:51 UTC
(In reply to comment #17)
> Since this bugzilla report was filed, there have been several major updates in
> various components of the Xorg system, which may have resolved this issue.
> Users who have experienced this problem are encouraged to upgrade their system
> to the latest version of their packages (at least F12Beta, but even better if
> the very latest versions).
> 
It seems that this bug has been fixed with the latest rawhide. Thanks.

Comment 19 Bug Zapper 2009-11-16 11:22:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 20 Matěj Cepl 2009-11-16 15:28:21 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.